#		*Primary target stuff*
TARGET = sqreset
SOURCE = $(TARGET).c
MODEL = l

#		Select either .com or .exe
TYPE = exe
PROG =

LIBPATH = C:\TC\LIB
INCLUDEPATH = C:\TC\INCLUDE;C:\TC\INCLUDE\SQUISH
FINALTARGET = $(TARGET).$(TYPE)

#		*Compiler Options*
COPT = -2\
	-d\
	-f-\
	-g15\
	-h\
	-j5\
	-K\
	-m$(MODEL)\
	-O\
	-v-\
	-vi-\
	-w+\
	-Z\
	-I$(INCLUDEPATH)\
	-L$(LIBPATH)

#		*Translator Definitions*
CC = TCC $(COPT)
TASM = ASM
TLIB = tlib
TLINK = tlink

all: $(FINALTARGET)
	-del *.obj
	-pklite $(FINALTARGET)

#		*List Macros*
EXE_dependencies = \
 $(TARGET).obj

#		*Explicit Rules*
$(TARGET).$(TYPE): $(EXE_dependencies)
  $(TLINK) $(PROG)/x/n/c/d/L$(LIBPATH) @&&|
c0$(MODEL).obj+
$(TARGET).obj
$(TARGET)

c$(MODEL).lib+
squish_l.lib
|

#		*Individual File Dependencies*
$(TARGET).obj: $(SOURCE)
	$(CC) -c $(SOURCE)
